"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.displayName = void 0;

var _react = _interopRequireDefault(require("react"));

var _styles = require("./styles");

var _Paper = _interopRequireDefault(require("@material-ui/core/Paper"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _clsx = _interopRequireDefault(require("clsx"));

var _commonStyles = require("../../stylesheets/commonStyles");

var _styles2 = require("@material-ui/core/styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var displayName = "MaterialDocs-Block";
exports.displayName = displayName;

var Block = /*#__PURE__*/_react.default.forwardRef(function Block(props, ref) {
  var className = props.className,
      style = props.style,
      children = props.children,
      _props$color = props.color,
      color = _props$color === void 0 ? "light" : _props$color,
      classes = props.classes,
      other = _objectWithoutProperties(props, ["className", "style", "children", "color", "classes"]);

  var commonClasses = (0, _commonStyles.useCommonStyles)();
  return /*#__PURE__*/_react.default.createElement(_Paper.default, {
    ref: ref,
    square: true,
    className: (0, _clsx.default)(classes.root, commonClasses.pageBlock, color === "light" && classes.colorLight, color === "dark" && classes.colorDark, className),
    style: style,
    elevation: 0
  }, children);
});

Block.displayName = displayName;
Block.propTypes = {
  // BlockProps
  color: _propTypes.default.string,
  // Stylable
  style: _propTypes.default.object,
  className: _propTypes.default.string,
  classes: _propTypes.default.object,
  // Containerable
  children: _propTypes.default.node
};

var _default = (0, _styles2.withStyles)(_styles.styles, {
  name: displayName
})(Block);

exports.default = _default;