"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.displayName = void 0;

var _react = _interopRequireDefault(require("react"));

var _styles = require("./styles");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styles2 = require("@material-ui/styles");

var _clsx = _interopRequireDefault(require("clsx"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var displayName = "MaterialDocs-CodeSpan";
exports.displayName = displayName;

var CodeSpan = /*#__PURE__*/_react.default.forwardRef(function CodeSpan(props, ref) {
  var className = props.className,
      style = props.style,
      children = props.children,
      _props$color = props.color,
      color = _props$color === void 0 ? "default" : _props$color,
      _props$text = props.text,
      text = _props$text === void 0 ? "inherit" : _props$text,
      classes = props.classes,
      other = _objectWithoutProperties(props, ["className", "style", "children", "color", "text", "classes"]);

  return /*#__PURE__*/_react.default.createElement("span", {
    ref: ref,
    className: (0, _clsx.default)(classes.root, classes.font, color === "default" && classes.colorDefault, color === "primary" && classes.colorPrimary, color === "secondary" && classes.colorSecondary, color === "grey" && classes.colorGrey, text === "inherit" && classes.textInherit, text === "black" && classes.textBlack, text === "white" && classes.textWhite, className),
    style: style
  }, /*#__PURE__*/_react.default.createElement("code", null, children));
});

CodeSpan.displayName = displayName;
CodeSpan.propTypes = {
  // CodeSpanProps
  color: _propTypes.default.oneOf(["default", "primary", "secondary", "grey"]),
  text: _propTypes.default.oneOf(["white", "black", "inherit"]),
  // Stylable
  style: _propTypes.default.object,
  className: _propTypes.default.string,
  classes: _propTypes.default.object,
  // Containerable
  children: _propTypes.default.node
};

var _default = (0, _styles2.withStyles)(_styles.styles, {
  name: displayName
})(CodeSpan);

exports.default = _default;