"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.displayName = void 0;

var _react = _interopRequireDefault(require("react"));

var _styles = require("./styles");

var _ListItem = _interopRequireDefault(require("@material-ui/core/ListItem"));

var _ListItemText = _interopRequireDefault(require("@material-ui/core/ListItemText"));

var _routingManager = require("routing-manager");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _SearchDataItemValidator = _interopRequireDefault(require("../../validators/SearchDataItemValidator"));

var _styles2 = require("@material-ui/styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var displayName = "MaterialDocs-SearchMenuItem";
exports.displayName = displayName;

var SearchMenuItem = /*#__PURE__*/_react.default.forwardRef(function SearchMenuItem(props, ref) {
  var data = props.data,
      style = props.style,
      className = props.className,
      active = props.active,
      onMouseMove = props.onMouseMove,
      onAfterSelected = props.onAfterSelected,
      onBeforeSelected = props.onBeforeSelected,
      classes = props.classes,
      other = _objectWithoutProperties(props, ["data", "style", "className", "active", "onMouseMove", "onAfterSelected", "onBeforeSelected", "classes"]);

  var _useChangeRoute = (0, _routingManager.useChangeRoute)(),
      changeRoute = _useChangeRoute.changeRoute;

  function handleItemAction(event) {
    if (typeof onBeforeSelected === "function") onBeforeSelected(event);

    switch (_typeof(data.redirect)) {
      case "string":
        window.location.href = data.redirect;
        break;

      case "function":
        data.redirect();
        break;

      case "object":
        changeRoute(data.redirect);
        break;

      default:
        throw new TypeError("MaterialDocs: Incorrect type for redirect. Got ".concat(_typeof(data.redirect), ", expected object | string | function"));
    }

    if (typeof onAfterSelected === "function") onAfterSelected(event);
  }

  return /*#__PURE__*/_react.default.createElement(_ListItem.default, {
    button: true,
    onClick: handleItemAction,
    className: className,
    style: style,
    selected: !!active,
    onMouseMove: onMouseMove,
    ref: ref
  }, /*#__PURE__*/_react.default.createElement(_ListItemText.default, {
    primary: data.label,
    secondary: data.description || ""
  }));
});

SearchMenuItem.displayName = displayName;
SearchMenuItem.propTypes = {
  // SearchMenuItemProps
  data: _SearchDataItemValidator.default,
  active: _propTypes.default.bool,
  onMouseMove: _propTypes.default.func,
  // Stylable
  style: _propTypes.default.object,
  className: _propTypes.default.string,
  classes: _propTypes.default.object
};

var _default = (0, _styles2.withStyles)(_styles.styles, {
  name: displayName
})(SearchMenuItem);

exports.default = _default;