"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.GroupsContext = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * Author: Andrieiev Danil |  danssg08@gmail.com | https://github.com/DanilAndreev
 * Copyright (C) 2020.
 */
var GroupsContext = /*#__PURE__*/_react.default.createContext({
  pages: [],
  groups: [],
  name: "",
  path: [],
  addPage: function addPage(page) {},
  deletePage: function deletePage(page) {},
  addGroup: function addGroup(group) {},
  deleteGroup: function deleteGroup(group) {}
});

exports.GroupsContext = GroupsContext;

var useGroups = function useGroups() {
  return _react.default.useContext(GroupsContext);
};

var _default = useGroups;
exports.default = _default;