"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.MenuContext = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * Author: Andrieiev Danil |  danssg08@gmail.com | https://github.com/DanilAndreev
 * Copyright (C) 2020.
 */
var MenuContext = /*#__PURE__*/_react.default.createContext({
  openMenu: function openMenu(key, value) {},
  closeMenu: function closeMenu(key) {},
  menuOpened: false
});

exports.MenuContext = MenuContext;

var useMenu = function useMenu() {
  return _react.default.useContext(MenuContext);
};

var _default = useMenu;
exports.default = _default;