"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pagesGroupDataValidate = pagesGroupDataValidate;
exports.default = void 0;

var _PagesDataValidator = require("./PagesDataValidator");

var _createChainableTypeChecker = _interopRequireDefault(require("../utils/createChainableTypeChecker"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _createForOfIteratorHelper(o) { if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) { if (Array.isArray(o) || (o = _unsupportedIterableToArray(o))) { var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var it, normalCompletion = true, didErr = false, err; return { s: function s() { it = o[Symbol.iterator](); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(n); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/**
 * pagesGroupDataValidate - PropTypes validator for PagesGroupData interface.
 * @function
 * @param {object} props
 * @param {string} propName
 * @param {string} componentName
 * @returns Error
 */
function pagesGroupDataValidate(prop, propName, componentName) {
  if (typeof prop.name !== "string") return new Error("Incorrect field 'name' type on prop ".concat(propName, " in component ").concat(componentName, ", expected \"string\", got \"").concat(_typeof(prop.name), " ").concat(JSON.stringify(prop), "\""));
  if (!Array.isArray(prop.pages)) return new Error("Incorrect field 'pages' type on prop ".concat(propName, " in component ").concat(componentName, ", expected \"PageData[]\", got \"").concat(_typeof(prop.pages), "\""));

  var _iterator = _createForOfIteratorHelper(prop.pages),
      _step;

  try {
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      var item = _step.value;
      var validatePages = (0, _PagesDataValidator.pagesDataValidate)(item, propName, componentName);
      if (validatePages) return validatePages;
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }

  if (!Array.isArray(prop.groups)) return new Error("Incorrect field 'groups' type on prop ".concat(propName, " in component ").concat(componentName, ", expected \"PagesGroupData[]\", got \"").concat(_typeof(prop.groups), "\""));

  var _iterator2 = _createForOfIteratorHelper(prop.groups),
      _step2;

  try {
    for (_iterator2.s(); !(_step2 = _iterator2.n()).done;) {
      var _item = _step2.value;
      var validateGroups = pagesGroupDataValidate(_item, propName, componentName);
      if (validateGroups) return validateGroups;
    }
  } catch (err) {
    _iterator2.e(err);
  } finally {
    _iterator2.f();
  }
}

function PagesGroupDataValidator(props, propName, componentName) {
  var prop = props[propName];
  if (!prop) return null;
  return pagesGroupDataValidate(prop, propName, componentName);
}
/**
 * PagesGroupDataValidator - PropTypes validator for PagesGroupData interface.
 */


var _default = (0, _createChainableTypeChecker.default)(PagesGroupDataValidator);

exports.default = _default;